﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
        <h2>Products Catalog by MIDO: <%=Request.QueryString["MIDO"] %></h2>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource1" PageSize="20" DataKeyNames="PMAHolder,PartNumber">
            <Columns>
                <asp:BoundField DataField="PMAHolder" HeaderText="PMAHolder" SortExpression="PMAHolder" ReadOnly="True" />
                <asp:BoundField DataField="PartNumber" HeaderText="PartNumber" SortExpression="PartNumber" ReadOnly="True" />
                <asp:BoundField DataField="PartName" HeaderText="PartName" SortExpression="PartName" />
                <asp:BoundField DataField="Manufacturer" HeaderText="Manufacturer" SortExpression="Manufacturer" />
                <asp:BoundField DataField="ReplacementFor" HeaderText="ReplacementFor" SortExpression="ReplacementFor" />
                <asp:BoundField DataField="Price" HeaderText="Price" SortExpression="Price" DataFormatString="{0:c}"/>
                <asp:BoundField DataField="QuantityInStock" HeaderText="QuantityInStock" SortExpression="QuantityInStock" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" 
            SelectCommand="SELECT [PMAHolder], [PartNumber], [PartName], [ReplPart].[Manufacturer], [ReplacementFor], [Price], [QuantityInStock] FROM [ReplPart] WHERE ([MIDO] = @MIDO) ORDER BY [PartName]">
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="BOS" Name="MIDO" QueryStringField="MIDO" Type="String" />
            </SelectParameters>
        </asp:SqlDataSource>
    </form>
</asp:Content>

